"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SizeConstants = exports.FontConstants = exports.ColorConstants = void 0;

var _reactNative = require("react-native");

const isDarkMode = _reactNative.Appearance.getColorScheme() === 'dark';
const FontConstants = {
  familyRegular: 'sans-serif',
  sizeTitle: 18,
  sizeRegular: 14,
  weightBold: 'bold'
};
exports.FontConstants = FontConstants;
const ColorConstants = {
  background: isDarkMode ? '#333333' : '#efefef',
  backgroundMedium: isDarkMode ? '#666666' : '#dddddd',
  backgroundLight: isDarkMode ? '#444444' : '#e8e8e8',
  font: isDarkMode ? '#eeeeee' : '#222222'
};
exports.ColorConstants = ColorConstants;
const SizeConstants = {
  paddingSmall: 2,
  paddingRegular: 8,
  paddingLarge: 16,
  borderRadius: 8
};
exports.SizeConstants = SizeConstants;
//# sourceMappingURL=index.js.map